Skip to Content
Kafka(UKafka)AddUKafkaInstanceNode

Add a node to the instance - AddUKafkaInstanceNode

Overview

Add a node to the instance

Definition

Public Parameters

Parameter NameTypeDescription InformationRequired
ActionstringCorresponding API command name, the current API is AddUKafkaInstanceNode.Yes
PublicKeystringThe user’s public key can be obtained from Console Yes
SignaturestringUser signature generated based on public key and API command, see Signature AlgorithmYes

Request Parameters

Parameter NameTypeDescription InformationRequired
Regionstringarea. See Region and Availability Zone ListYes
ZonestringAvailability Zone. See Available Zone ListYes
ProjectIdstringProject ID. If not filled in, it is the default item, and the sub-account must be filled in. Please refer to GetProjectList interfaceNo
InstanceIdstringInstance IDYes
NodeTypestringModel, supported models can be returned through the GetUKafkaNodeType interface InstanceTypeSet[].InstanceTypeNameYes
NodeCountintNumber of newly added nodesYes

Response Field

Field NameTypeDescription InformationRequired
RetCodeintReturn status code. If it is 0, it means successful return. If it is not 0, it means failure.Yes
ActionstringOperation command name.Yes
MessagestringReturns an error message, providing detailed description when RetCode is non-zero.No

Example

Request Example

https://api.ucloud-global.com/?Action=AddUKafkaInstanceNode &ProjectId=org-xts2j0 &Zone=cn-bj2-05 &Region=cn-bj2 &ClusterInstanceId=ukafka-pz23wm &LoginMode=Password &ChargeType=Dynamic &InstanceGroupType=J1-large &IsLoadBalance=Yes, No &UHostCount=1 &currentNodeInstanceType=J1-large &currentNodeInstanceCPU=2 &currentNodeInstanceMemory=4 &currentNodeInstanceDisk=200 &Action=AddUKafkaInstanceNode &_user=pan.ma@ucloud.cn &_timestamp=1545637945548

Response Example

{ "Action": "AddUKafkaInstanceNodeResponse", "RetCode": 0 }